Availabilities
Get all users availabilities
Retrieves all availability slots for users in the authenticated company. Each entry includes the user, start and end times, and timezone. Useful for scheduling, calendar display, or managing user availability.
GET
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Query Parameters
Example:
"{{userId}}"
Response
200 - application/json
200 / 200
Example:
[
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-04T15:35:29.000000Z",
"day_of_week": 1,
"end_time": "11:00:00",
"id": "01k6qxt95bq738sn4d5n4h919v",
"metadata": null,
"start_time": "07:00:00",
"timezone": "Africa/Douala",
"updated_at": "2025-10-04T15:35:29.000000Z",
"user_id": "01k1amyqgjje8sknkzpm78qv6x"
},
{
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-04T15:35:29.000000Z",
"day_of_week": 1,
"end_time": "19:00:00",
"id": "01k6qxt95gm71d1hg98zx72rqw",
"metadata": null,
"start_time": "11:00:00",
"timezone": "Africa/Douala",
"updated_at": "2025-10-04T15:35:29.000000Z",
"user_id": "01k1amyqgjje8sknkzpm78qv6x"
}
]Example:
"Availabilities retrieved successfully"
Example:
true
